Skip to main content
GET
/
environments
cURL
curl https://api.growthbook.io/api/v1/environments \
  -u secret_abc123DEF456:
{
  "environments": [
    {
      "id": "<string>",
      "description": "<string>",
      "toggleOnList": true,
      "defaultState": true,
      "projects": [
        "<string>"
      ],
      "parent": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Response

200 - application/json

Success

environments
object[]
required